Name="MissionMatching"

[General]
TurnFrequency					=1

[Turnbreak]
TurnBreakRatio					=0.3
Mode						=2

[ScreenForMatch]
BonusForNearbyForeignCharacters			=100	// 100
EnemyHexBonus					=50	// (50) bonus for a mission in enemy territory
NeutralHexBonus					=50	// (50) bonus chance in neutral hexes for a mission
ChanceMove					=30	// (30) base chance for a mission on move (increase for more missions in home territory)
ChanceLogon					=0
ChanceTurnBreak					=10
ChanceMissionComplete				=50
ChanceMissionForfeit				=0
ChanceGoalExpired				=0
ChanceGoalInvalid				=0
ChanceGoalComplete				=0

[Environment]
RadiusForMatching				=0		// (1) range in hexes for a battle to take place (0=current hex, 1=current hex + 6 surrounding, etc.)

[MissionProfiles]
ShowMission					=1		// (0) shows the team's mission title, 1 show's the true mission title
HasMustPlayMissions				=0		// (1) Server will dispense must play missions 
MustPlayOnlyOnEnemyHex				=0		// (0) Server ignores mission script settings and will only set must plays when player is in an enemy hex (HasMustPlayMissions must be set!)
Move						=2
Logon						=0
TurnBreak					=0
MissionComplete					=1
MissionForfeit					=0	// 0
GoalExpired					=0
GoalInvalid					=0
GoalComplete					=0

[MissionScoring]
ByMainCharacter					=1.0
ByOtherCharacters				=1.0
MonteCarloMissionSelect				=0		// (0) Currently unsupported
MaxMonteCarloTries				=10
MaxSequenceScore				=1000

//weight to missions matching based on terrain
[TerrainScoring]
PlanetTypeScoreForMatching=7500 		// 5000  
BaseTypeScoreForMatching=5000 			// 2500
TerrainTypeScoreForMatching=1000 		// 100

//weight to missions matching based on political tensions
[PoliticsScoring]
// NOTE THE NEGATIVE SIGNS IN THE -20000's
//    It's important!  ;)
BonusForExactPoliticalMatch=1000 
LookingForOwnHexInOwn=1000 
LookingForOwnHexInAlly=-20000 
LookingForOwnHexInNeutral=-20000 
LookingForOwnHexInEnemy=-20000
LookingForEnemyHexInOwn=-20000
LookingForEnemyHexInAlly=-20000
LookingForEnemyHexInNeutral=-20000 
LookingForEnemyHexInEnemy=1000
LookingForAllyHexInOwn=-20000 
LookingForAllyHexInAlly=1000
LookingForAllyHexInNeutral=-20000 
LookingForAllyHexInEnemy=-20000


//weight to missions matching based on ships available
[FleetScoring]
GoodBPVScore=1000
TooWeakBPVScore=-5000
TooStrongBPV=-10000
GoodShipCountScore=1000
TooFewShipCountScore=-5000
TooManyShipCountScore=-10000
PlaceBaseMissionScore=50000
BaseScoreBonus=10000

// weights of categories
[ScoringWeights]
WeightMissionsLastPlayed=0.2
WeightPoliticsScore=1.0
WeightTerrainScore=1.0
WeightFleetScore=1.0 

[RelationshipScoring]
MaxRelationShipScore=500
PoorEnemyOfScore=-25000
PoorAllyOfScore=-25000
DecentWorstEnemyScore=0 
DecentAllyOfScore=0
OrionDomesticWeight				=0.7
OrionNeutralWeight				=.3
OrionEnemyWeight				=0.2			 

[RecentlyPlayedScoring]
MaxLastPlayedScore				=1000
NumMissionsTracked				=5

[MapScoring]
PlanetScore					=20
TerrainScore					=10
BaseScore					=30

[AssignCharactersToSlots]
AllowHumanToHumanMatching			= 1
MonteCarloSelectPlayer				= 0
MinimumScoreToAssignToSlot			= 300

[Game]
GameSpeed					=7 	//default meta game speed
SessionName					="DynaverseII" //server name

// Time to wait for missions selection in milliseconds
[SetupProtocol]
ResponseWait						=120000
ReadyWait						=60000

//modifier based difficulty setting
[Diff]
CaptainDiff						=0.85
CommodoreDiff						=1.0
AdmiralDiff						=1.15

 //space backgrounds used
[Backgrounds]
0									="space00.mod"
1									="space01.mod"
2									="space02.mod"
3									="space03.mod"
4									="space04.mod"
5									="space05.mod"
6									="space06.mod"
7									="space07.mod"
8									="space08.mod"
9									="space09.mod"
10									="space10.mod"
11									="space11.mod"
12									="space12.mod"
13									="space13.mod"
14									="space14.mod"
15									="space15.mod"

[ForfeitModifiers]
ForfeitModifyVictoryLevel			=4    // modifier to loss level
ForfeitModifyRegularPrestige		=-100 //prestige lost if forfeit
